Bug 701307 - a couple of issues with 80-mm-candidate.rules
a couple of issues with 80-mm-candidate.rules
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 10:36 EDT by Michal Schmidt
Modified: 2012-08-07 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2011-05-02 10:36:36 EDT
$ rpm -q ModemManager
ModemManager-0.4-8.git20110427.fc15.x86_64

$ udevadm info -q all -n /dev/tty1
P: /devices/virtual/tty/tty1
N: tty1
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/tty/tty1
E: MAJOR=4
E: MINOR=1
E: DEVNAME=/dev/tty1
E: SUBSYSTEM=tty
E: ID_MM_CANDIDATE=1
E: TAGS=:systemd:

There are two issues with "ID_MM_CANDIDATE=1":
1) MM probably should not consider virtual console devices interesting
2) MM should not prefix its stuff with "ID_"

(Noticed by Lennart Poettering.)
Comment 1 Dan Williams 2011-07-18 19:00:23 EDT
Good to know; but MM already excludes the virtual ports internally and does not probe them.  We could however do this via the udev rules.

For the ID_ thing, it was suggested to use ID_ a long time ago, though I'd entertain suggestions for alternatives.  I think ID_ was supposed to be used to distinguish 3rd-party rules from internal stuff.  Hits for ID_ yield 45 udev rules files, of which MM is only one...
Comment 2 Fedora End Of Life 2012-08-07 11:58:26 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.